Lookup

The lookup API allows querying the address and other details of one or multiple OSM objects, such as nodes, ways, or relations.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

This must contain a comma-separated list of OSM ids each prefixed with its type, one of node(N), way(W) or relation(R). Up to 3 ids can be queried at the same time.

string

Wrap json output in a callback function (JSONP) i.e. <string>(<json>). Only has an effect for JSON output formats.

integer
enum
Defaults to 1

Include a breakdown of the address of this result into elements. Important components include (but not limited to) country, postcode, state, county, city, town. Only those elements that are available for a given location will be returned.

Allowed:
integer
enum
Defaults to 0

Include additional information in the result if available, e.g. wikipedia link, opening hours. Defaults to 0.

Allowed:
integer
enum
Defaults to 0

Include a list of alternative names in the results. These may include language variants, references, operator and brand. Defaults to 0.

Allowed:
string
Defaults to en

Preferred language order for showing search results, overrides the value specified in the Accept-Language HTTP header. Defaults to en.

To use native language for the response when available, use accept-language=native.

Either uses standard rfc2616 accept-language string or a simple comma separated list of language codes.

integer
enum
Defaults to 0

Output geometry of results in geojson format. Defaults to 0.

Allowed:
integer
enum
Defaults to 0

Output geometry of results in kml format. Defaults to 0.

Allowed:
integer
enum
Defaults to 0

Output geometry of results in svg format. Defaults to 0.

Allowed:
integer
enum
Defaults to 0

Output geometry of results as a WKT. Defaults to 0.

Allowed:
number
Defaults to 0

When one of the polygon_* outputs is chosen, return a simplified version of the output geometry. The parameter describes the tolerance in degrees with which the geometry may differ from the original geometry. Topology is preserved in the geometry.

integer
enum
Defaults to 0

Makes parsing of the address object easier by returning a predictable and defined list of elements. Defaults to 0 for backward compatibility. We recommend setting this to 1 for new projects.

Element NameDescription
nameHouse name or Point of Interest (POI) such as a Cafe or School
house_numberHouse or Building number
roadRoads, Highways, Freeways, Motorways
neighbourhoodNeighbourhoods, Allotments, Quarters, Communities
suburbSuburbs, Subdivisions
islandIslands, Islets
cityCities, Towns, Villages, Municipalities, Districts, Boroughs, Hamlets
countyCounties
stateStates, Provinces, Regions, State Districts
state_codeState or Province Code
postcodePostal Codes, Zipcodes
countryCountries, Nation-states
country_codeCountry Code - 2 letter (ISO 3166-1 alpha-2)
Allowed:
integer
enum
Defaults to 0

For responses with no city value in the address section, the next available element in this order - city_district, locality, town, borough, municipality, village, hamlet, quarter, neighbourhood - from the address section will be normalized to city. Defaults to 0.

Allowed:
integer
enum
Defaults to 0

Returns address inside the postaladdress key, that is specifically formatted for each country. Currently supported for addresses in Belgium, Brazil, France, Germany, Greece, India, Ireland, Italy, Portugal, South Africa, Spain and United Kingdom. Defaults to 0.

Allowed:
integer
enum
Defaults to 0

Adds state or province code when available to the state_code key inside the address object when available. Defaults to 0.

Allowed:
string

Output Format. Only json supported as of now.

Responses

Language
Credentials
Query
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json